NEWLIST(8)

NAME
newlist - Create a new, unpopulated Mailman mailing list.

SYNOPSIS
newlist [options] [listname] [listadmin-addr] [admin-password]

OPTIONS

-l language, --language=language
    Make the list's preferred language `language', which must be the (mostly two letter) language code as found under /usr/share/mailman.

-u urlhost, --urlhost=urlhost
    Gives the list's web interface host name.

-e emailhost, --emailhost=emailhost
    Gives the list's email domain name.

-q, --quiet
    Normally the administrator is notified by email (after a prompt) that their list has been created. This option suppresses that notification and the prompting.

-h, --help
    Print a small help text and exit

SECURITY
Including the admin-password on the command line is a small security risk if you have untrusted users on the system.

NOTES
You can specify as many of the arguments as you want on the command line: you will be prompted for the missing ones. Every Mailman list has two parameters which define the default host name for outgoing email, and the default URL for all web interfaces. When you configured Mailman, certain defaults were calculated, but if you are running multiple virtual Mailman sites, then the defaults may not be appropriate for the list you are creating. You also specify the domain to create your new list in by typing the command like so:
    newlist --urlhost=www.example.com mylist where `www.example.com' should be the base hostname for the URL to this virtual hosts's lists. E.g. with this setting people will view the general list overviews at http://www.example.com/mailman/listinfo. Also, www.example.com should be a key in the VIRTUAL_HOSTS mapping in mm_cfg.py/Defaults.py if the email hostname to be automatically determined. If you want the email hostname to be different from the one looked up by the VIRTUAL_HOSTS or if urlhost is not registered in VIRTUAL_HOSTS, you can specify `emailhost' like so:
    newlist --urlhost=www.example.com --emailhost=example.com mylist where `example.com' is the mail domain name. If you don't specify emailhost but urlhost is not in the virtual host list, then mm_cfg.DEFAULT_EMAIL_HOST will be used for the email interface. For backward compatibility, you can also specify the domain to create your new list in by spelling the listname like so:
    mylist@www.example.com where www.example.com is used for `urlhost' but it will also be used for `emailhost' if it is not found in the virtual host table. Note `--urlhost' and `--emailhost' have precedence to this notation. If you spell the list name as just `mylist', then the email hostname will be taken from DEFAULT_EMAIL_HOST and the url will be taken from DEFAULT_URL (as defined in your Defaults.py file or overridden by settings in mm_cfg.py). Note that listnames are forced to lowercase. The list admin address need to be a fully-qualified address, like owner@example.com, not just owner.

AUTHOR
Author of Mailman is the Mailman Cabal, see http://www.list.org/ for information. This manpage is written by Tollef Fog Heen <tfheen@debian.org> for Debian, but may be used by others.

SEE ALSO
Mailman documentation on http://www.list.org/ and in /usr/share/doc/mailman.